﻿Imports System.IO
Imports System.IO.IsolatedStorage

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub fileNameLinkButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim clickedLink = CType(sender, HyperlinkButton)

        Dim uri = String.Format("/IsolatedStorageListing;component/SecondPage.xaml?id={0}", clickedLink.Content)
        NavigationService.Navigate(New Uri(uri, UriKind.Relative))

    End Sub

    Private Sub loadSamplesButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        createSample("test1.txt", "This is the first test.")
        createSample("test2.txt", "This is the second test.")
        createSample("test3.txt", "This is the third test.")

        bindList()
    End Sub

    Private Sub createSample(ByVal fileName As String, ByVal fileContent As String)
        Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

        If Not appStorage.FileExists(fileName) Then
            Using file = appStorage.CreateFile(fileName)
                Using writer = New StreamWriter(file)
                    writer.WriteLine(fileContent)
                End Using
            End Using
        End If
    End Sub

    Private Sub PhoneApplicationPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
        bindList()
    End Sub

    Private Sub bindList()
        Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

        Dim fileList() = appStorage.GetFileNames()

        fileListBox.ItemsSource = fileList

        freeTextBlock.Text = String.Format("Free: {0}", appStorage.AvailableFreeSpace.ToString())

        quotaTextBlock.Text = String.Format("Quota: {0}", appStorage.Quota.ToString())

    End Sub
End Class
